# accounting-service-api.api.AccountingMobileAppApi

## Load the API package
```dart
import 'package:accounting-service-api/api.dart';
```

All URIs are relative to *http://localhost*

Method | HTTP request | Description
------------- | ------------- | -------------
[**createAccountingDocumentByStatutory**](AccountingMobileAppApi.md#createaccountingdocumentbystatutory) | **POST** /app/payments/project | 
[**downloadAttachment**](AccountingMobileAppApi.md#downloadattachment) | **GET** /app/payments/{accountingDocumentId}/attachment/{fileId}/{fileName} | 
[**getAccountingDocumentByItemForMobileApp**](AccountingMobileAppApi.md#getaccountingdocumentbyitemformobileapp) | **GET** /app/payments/by-item/{accountingDocumentItemId} | 
[**getAccountingDocumentDetailForMobileApp**](AccountingMobileAppApi.md#getaccountingdocumentdetailformobileapp) | **GET** /app/payments/{accountingDocumentId} | 
[**getAccountingDocumentOptions**](AccountingMobileAppApi.md#getaccountingdocumentoptions) | **GET** /app/payments/project/options | 
[**getAccountingDocumentsForMobileApp**](AccountingMobileAppApi.md#getaccountingdocumentsformobileapp) | **GET** /app/payments | 
[**getApiStatus**](AccountingMobileAppApi.md#getapistatus) | **GET** /app/payments/module-status | 
[**getDefaultCurrencyByHomeAccount**](AccountingMobileAppApi.md#getdefaultcurrencybyhomeaccount) | **GET** /app/payments/unit/default-currency | 
[**getDocumentAttachment**](AccountingMobileAppApi.md#getdocumentattachment) | **GET** /app/payments/attachment/{attachmentId}/{fileName} | 
[**getHomeAccountYearOverview**](AccountingMobileAppApi.md#gethomeaccountyearoverview) | **GET** /app/payments/overview | 
[**getListOfProjectExpensesByFilter**](AccountingMobileAppApi.md#getlistofprojectexpensesbyfilter) | **GET** /app/payments/project/expenses/list | 
[**getListOfProjectIncomeByFilter**](AccountingMobileAppApi.md#getlistofprojectincomebyfilter) | **GET** /app/payments/project/income/list | 
[**getPaymentsForHomeAccount**](AccountingMobileAppApi.md#getpaymentsforhomeaccount) | **GET** /app/payments/home-account/{homeAccountId} | 
[**getProjectAccountingDocumentsForMobileApp**](AccountingMobileAppApi.md#getprojectaccountingdocumentsformobileapp) | **GET** /app/payments/project | 
[**getProjectExpenses**](AccountingMobileAppApi.md#getprojectexpenses) | **GET** /app/payments/project/expenses | 
[**getProjectExpensesOverview**](AccountingMobileAppApi.md#getprojectexpensesoverview) | **GET** /app/payments/project/expenses/overview | 
[**getProjectIncome**](AccountingMobileAppApi.md#getprojectincome) | **GET** /app/payments/project/income | 
[**getProjectIncomeOverview**](AccountingMobileAppApi.md#getprojectincomeoverview) | **GET** /app/payments/project/income/overview | 
[**getQRCodeForMultiplePayments**](AccountingMobileAppApi.md#getqrcodeformultiplepayments) | **POST** /app/payments/multiQR | 
[**uploadAttachment**](AccountingMobileAppApi.md#uploadattachment) | **POST** /app/payments/{accountingDocumentId}/attachment | 


# **createAccountingDocumentByStatutory**
> AccountingDocumentDetailMobileDTO createAccountingDocumentByStatutory(simpleDocumentCreateDTO)



### Example
```dart
import 'package:accounting-service-api/api.dart';

final api_instance = AccountingMobileAppApi();
final simpleDocumentCreateDTO = SimpleDocumentCreateDTO(); // SimpleDocumentCreateDTO | 

try {
    final result = api_instance.createAccountingDocumentByStatutory(simpleDocumentCreateDTO);
    print(result);
} catch (e) {
    print('Exception when calling AccountingMobileAppApi->createAccountingDocumentByStatutory: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **simpleDocumentCreateDTO** | [**SimpleDocumentCreateDTO**](SimpleDocumentCreateDTO.md)|  | 

### Return type

[**AccountingDocumentDetailMobileDTO**](AccountingDocumentDetailMobileDTO.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*, application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **downloadAttachment**
> List<String> downloadAttachment(accountingDocumentId, fileId, fileName)



### Example
```dart
import 'package:accounting-service-api/api.dart';

final api_instance = AccountingMobileAppApi();
final accountingDocumentId = 789; // int | 
final fileId = fileId_example; // String | 
final fileName = fileName_example; // String | 

try {
    final result = api_instance.downloadAttachment(accountingDocumentId, fileId, fileName);
    print(result);
} catch (e) {
    print('Exception when calling AccountingMobileAppApi->downloadAttachment: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accountingDocumentId** | **int**|  | 
 **fileId** | **String**|  | 
 **fileName** | **String**|  | 

### Return type

**List<String>**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*, application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **getAccountingDocumentByItemForMobileApp**
> AccountingDocumentMobileDTO getAccountingDocumentByItemForMobileApp(accountingDocumentItemId)



### Example
```dart
import 'package:accounting-service-api/api.dart';

final api_instance = AccountingMobileAppApi();
final accountingDocumentItemId = 789; // int | 

try {
    final result = api_instance.getAccountingDocumentByItemForMobileApp(accountingDocumentItemId);
    print(result);
} catch (e) {
    print('Exception when calling AccountingMobileAppApi->getAccountingDocumentByItemForMobileApp: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accountingDocumentItemId** | **int**|  | 

### Return type

[**AccountingDocumentMobileDTO**](AccountingDocumentMobileDTO.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*, application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **getAccountingDocumentDetailForMobileApp**
> AccountingDocumentDetailMobileDTO getAccountingDocumentDetailForMobileApp(accountingDocumentId)



### Example
```dart
import 'package:accounting-service-api/api.dart';

final api_instance = AccountingMobileAppApi();
final accountingDocumentId = 789; // int | 

try {
    final result = api_instance.getAccountingDocumentDetailForMobileApp(accountingDocumentId);
    print(result);
} catch (e) {
    print('Exception when calling AccountingMobileAppApi->getAccountingDocumentDetailForMobileApp: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accountingDocumentId** | **int**|  | 

### Return type

[**AccountingDocumentDetailMobileDTO**](AccountingDocumentDetailMobileDTO.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*, application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **getAccountingDocumentOptions**
> AccountingDocumentsOptionsDTO getAccountingDocumentOptions(date)



### Example
```dart
import 'package:accounting-service-api/api.dart';

final api_instance = AccountingMobileAppApi();
final date = date_example; // String | 

try {
    final result = api_instance.getAccountingDocumentOptions(date);
    print(result);
} catch (e) {
    print('Exception when calling AccountingMobileAppApi->getAccountingDocumentOptions: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **date** | **String**|  | [optional] 

### Return type

[**AccountingDocumentsOptionsDTO**](AccountingDocumentsOptionsDTO.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*, application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **getAccountingDocumentsForMobileApp**
> List<AccountingDocumentMobileDTO> getAccountingDocumentsForMobileApp(filter, year, beforeYear, month)



### Example
```dart
import 'package:accounting-service-api/api.dart';

final api_instance = AccountingMobileAppApi();
final filter = filter_example; // String | 
final year = 56; // int | 
final beforeYear = 56; // int | 
final month = month_example; // String | 

try {
    final result = api_instance.getAccountingDocumentsForMobileApp(filter, year, beforeYear, month);
    print(result);
} catch (e) {
    print('Exception when calling AccountingMobileAppApi->getAccountingDocumentsForMobileApp: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **filter** | **String**|  | [optional] 
 **year** | **int**|  | [optional] 
 **beforeYear** | **int**|  | [optional] 
 **month** | **String**|  | [optional] 

### Return type

[**List<AccountingDocumentMobileDTO>**](AccountingDocumentMobileDTO.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*, application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **getApiStatus**
> AppApiStatusDTO getApiStatus()



### Example
```dart
import 'package:accounting-service-api/api.dart';

final api_instance = AccountingMobileAppApi();

try {
    final result = api_instance.getApiStatus();
    print(result);
} catch (e) {
    print('Exception when calling AccountingMobileAppApi->getApiStatus: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**AppApiStatusDTO**](AppApiStatusDTO.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*, application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **getDefaultCurrencyByHomeAccount**
> CurrencyDTO getDefaultCurrencyByHomeAccount()



### Example
```dart
import 'package:accounting-service-api/api.dart';

final api_instance = AccountingMobileAppApi();

try {
    final result = api_instance.getDefaultCurrencyByHomeAccount();
    print(result);
} catch (e) {
    print('Exception when calling AccountingMobileAppApi->getDefaultCurrencyByHomeAccount: $e\n');
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**CurrencyDTO**](CurrencyDTO.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*, application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **getDocumentAttachment**
> String getDocumentAttachment(attachmentId, fileName)



### Example
```dart
import 'package:accounting-service-api/api.dart';

final api_instance = AccountingMobileAppApi();
final attachmentId = 789; // int | 
final fileName = fileName_example; // String | 

try {
    final result = api_instance.getDocumentAttachment(attachmentId, fileName);
    print(result);
} catch (e) {
    print('Exception when calling AccountingMobileAppApi->getDocumentAttachment: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **attachmentId** | **int**|  | 
 **fileName** | **String**|  | 

### Return type

**String**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*, application/octet-stream

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **getHomeAccountYearOverview**
> AccountOverviewDTO getHomeAccountYearOverview(year)



### Example
```dart
import 'package:accounting-service-api/api.dart';

final api_instance = AccountingMobileAppApi();
final year = 56; // int | 

try {
    final result = api_instance.getHomeAccountYearOverview(year);
    print(result);
} catch (e) {
    print('Exception when calling AccountingMobileAppApi->getHomeAccountYearOverview: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **year** | **int**|  | [optional] 

### Return type

[**AccountOverviewDTO**](AccountOverviewDTO.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*, application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **getListOfProjectExpensesByFilter**
> List<AccountingDocumentMobileDTO> getListOfProjectExpensesByFilter(year, month, deliveryId, paid, beforeYear)



### Example
```dart
import 'package:accounting-service-api/api.dart';

final api_instance = AccountingMobileAppApi();
final year = 56; // int | 
final month = month_example; // String | 
final deliveryId = 789; // int | 
final paid = true; // bool | 
final beforeYear = 56; // int | 

try {
    final result = api_instance.getListOfProjectExpensesByFilter(year, month, deliveryId, paid, beforeYear);
    print(result);
} catch (e) {
    print('Exception when calling AccountingMobileAppApi->getListOfProjectExpensesByFilter: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **year** | **int**|  | [optional] 
 **month** | **String**|  | [optional] 
 **deliveryId** | **int**|  | [optional] 
 **paid** | **bool**|  | [optional] 
 **beforeYear** | **int**|  | [optional] 

### Return type

[**List<AccountingDocumentMobileDTO>**](AccountingDocumentMobileDTO.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*, application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **getListOfProjectIncomeByFilter**
> List<AccountingDocumentMobileDTO> getListOfProjectIncomeByFilter(year, month, homeAccountId, beforeYear, filter)



### Example
```dart
import 'package:accounting-service-api/api.dart';

final api_instance = AccountingMobileAppApi();
final year = 56; // int | 
final month = month_example; // String | 
final homeAccountId = 789; // int | 
final beforeYear = 56; // int | 
final filter = filter_example; // String | 

try {
    final result = api_instance.getListOfProjectIncomeByFilter(year, month, homeAccountId, beforeYear, filter);
    print(result);
} catch (e) {
    print('Exception when calling AccountingMobileAppApi->getListOfProjectIncomeByFilter: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **year** | **int**|  | [optional] 
 **month** | **String**|  | [optional] 
 **homeAccountId** | **int**|  | [optional] 
 **beforeYear** | **int**|  | [optional] 
 **filter** | **String**|  | [optional] 

### Return type

[**List<AccountingDocumentMobileDTO>**](AccountingDocumentMobileDTO.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*, application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **getPaymentsForHomeAccount**
> List<AccountingDocumentMobileDTO> getPaymentsForHomeAccount(homeAccountId, includePlanned)



### Example
```dart
import 'package:accounting-service-api/api.dart';

final api_instance = AccountingMobileAppApi();
final homeAccountId = 789; // int | 
final includePlanned = true; // bool | 

try {
    final result = api_instance.getPaymentsForHomeAccount(homeAccountId, includePlanned);
    print(result);
} catch (e) {
    print('Exception when calling AccountingMobileAppApi->getPaymentsForHomeAccount: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **homeAccountId** | **int**|  | 
 **includePlanned** | **bool**|  | [optional] [default to false]

### Return type

[**List<AccountingDocumentMobileDTO>**](AccountingDocumentMobileDTO.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*, application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **getProjectAccountingDocumentsForMobileApp**
> PageAccountingDocumentMobileDTO getProjectAccountingDocumentsForMobileApp(paid, supplier, offset, limit)



### Example
```dart
import 'package:accounting-service-api/api.dart';

final api_instance = AccountingMobileAppApi();
final paid = true; // bool | 
final supplier = supplier_example; // String | 
final offset = 56; // int | 
final limit = 56; // int | 

try {
    final result = api_instance.getProjectAccountingDocumentsForMobileApp(paid, supplier, offset, limit);
    print(result);
} catch (e) {
    print('Exception when calling AccountingMobileAppApi->getProjectAccountingDocumentsForMobileApp: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **paid** | **bool**|  | [optional] 
 **supplier** | **String**|  | [optional] 
 **offset** | **int**|  | [optional] [default to 0]
 **limit** | **int**|  | [optional] [default to 20]

### Return type

[**PageAccountingDocumentMobileDTO**](PageAccountingDocumentMobileDTO.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*, application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **getProjectExpenses**
> ProjectExpensesDTO getProjectExpenses(from, to)



### Example
```dart
import 'package:accounting-service-api/api.dart';

final api_instance = AccountingMobileAppApi();
final from = from_example; // String | 
final to = to_example; // String | 

try {
    final result = api_instance.getProjectExpenses(from, to);
    print(result);
} catch (e) {
    print('Exception when calling AccountingMobileAppApi->getProjectExpenses: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **from** | **String**|  | 
 **to** | **String**|  | 

### Return type

[**ProjectExpensesDTO**](ProjectExpensesDTO.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*, application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **getProjectExpensesOverview**
> ProjectExpensesOverviewDTO getProjectExpensesOverview(year)



### Example
```dart
import 'package:accounting-service-api/api.dart';

final api_instance = AccountingMobileAppApi();
final year = 56; // int | 

try {
    final result = api_instance.getProjectExpensesOverview(year);
    print(result);
} catch (e) {
    print('Exception when calling AccountingMobileAppApi->getProjectExpensesOverview: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **year** | **int**|  | 

### Return type

[**ProjectExpensesOverviewDTO**](ProjectExpensesOverviewDTO.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*, application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **getProjectIncome**
> ProjectIncomeDTO getProjectIncome(from, to)



### Example
```dart
import 'package:accounting-service-api/api.dart';

final api_instance = AccountingMobileAppApi();
final from = from_example; // String | 
final to = to_example; // String | 

try {
    final result = api_instance.getProjectIncome(from, to);
    print(result);
} catch (e) {
    print('Exception when calling AccountingMobileAppApi->getProjectIncome: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **from** | **String**|  | 
 **to** | **String**|  | 

### Return type

[**ProjectIncomeDTO**](ProjectIncomeDTO.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*, application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **getProjectIncomeOverview**
> ProjectIncomeOverviewDTO getProjectIncomeOverview(year)



### Example
```dart
import 'package:accounting-service-api/api.dart';

final api_instance = AccountingMobileAppApi();
final year = 56; // int | 

try {
    final result = api_instance.getProjectIncomeOverview(year);
    print(result);
} catch (e) {
    print('Exception when calling AccountingMobileAppApi->getProjectIncomeOverview: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **year** | **int**|  | 

### Return type

[**ProjectIncomeOverviewDTO**](ProjectIncomeOverviewDTO.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*, application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **getQRCodeForMultiplePayments**
> List<AggregatedQRCodeDTO> getQRCodeForMultiplePayments(requestBody)



### Example
```dart
import 'package:accounting-service-api/api.dart';

final api_instance = AccountingMobileAppApi();
final requestBody = [List<int>()]; // List<int> | 

try {
    final result = api_instance.getQRCodeForMultiplePayments(requestBody);
    print(result);
} catch (e) {
    print('Exception when calling AccountingMobileAppApi->getQRCodeForMultiplePayments: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **requestBody** | [**List<int>**](int.md)|  | 

### Return type

[**List<AggregatedQRCodeDTO>**](AggregatedQRCodeDTO.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*, application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **uploadAttachment**
> uploadAttachment(accountingDocumentId, fileTransferDTO)



### Example
```dart
import 'package:accounting-service-api/api.dart';

final api_instance = AccountingMobileAppApi();
final accountingDocumentId = 789; // int | 
final fileTransferDTO = FileTransferDTO(); // FileTransferDTO | 

try {
    api_instance.uploadAttachment(accountingDocumentId, fileTransferDTO);
} catch (e) {
    print('Exception when calling AccountingMobileAppApi->uploadAttachment: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accountingDocumentId** | **int**|  | 
 **fileTransferDTO** | [**FileTransferDTO**](FileTransferDTO.md)|  | 

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

